A simple CLI program that spits out caller ID name information given a phone
number. This CLI app uses [opencnam](http://www.opencnam.com "opencnam") as a backend.


## Installation

Install from PyPi using [pip](http://www.pip-installer.org/en/latest/), a
package manager for Python.

    $ pip install cnam

Don't have pip installed? Try installing it, by running this from the command
line:

    $ curl https://raw.github.com/pypa/pip/master/contrib/get-pip.py | python

Or, you can [download the source code
(ZIP)](https://github.com/telephonyresearch/cnam/zipball/master "cnam
source code") for `cnam`, and then run:

    $ python setup.py install

You may need to run the above commands with `sudo`.


## Usage

Using `cnam` is easy. Just run the following from the command line:

    $ cnam 2024561111
    US GOVERNMENT

`cnam` will take any 10-digit phone number as input. The way the input algorithm
works, `cnam` will strip any non-numeric characters out of the input and attempt
to lookup that number (assuming it is 10-digits in length).

So if you do:

    $ cnam abc2024561111abc

You'll still get:

    US GOVERNMENT


## Limits

The [opencnam](http://www.opencnam.com "opencnam") API we use as a backend
limits you to no more than 60 requests per minute (using their free tier). When
they release a paid API, you'll have the option of specifying API creds in a
`~/.cnam` file if you'd like to make unlimited requests.
